import 'dart:convert';

import 'package:http/http.dart';
import 'package:sghi_core/communities/core/endpoints.dart';
import 'package:sghi_core/flutter_graphql_client/constants.dart';
import 'package:sghi_core/flutter_graphql_client/i_flutter_graphql_client.dart';

Future<Map<String, dynamic>> fetchRoomPowerLevels(
  String roomID,
  IGraphQlClient client,
) async {
  final Response response = await client.callRESTAPI(
    endpoint: roomPowerLevelsEndpoint(roomID),
    method: kGetMethodName,
    variables: <String, dynamic>{},
  );
  // TODO: process response
  final dynamic data = await json.decode(utf8.decode(response.bodyBytes));

  return data as Map<String, dynamic>;
}
